LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
DriverManager Service Referencepublished

`import"DriverManager.idl";`

Inheritance diagram for DriverManager:

## Additional Inherited Members
Exported Interfaces inherited from XDriverManager2
interface | XDriverManager
| is the basic interface for establishing database connections. More...
interface | XDriverAccess
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration on all installed / registered drivers. More...
Public Member Functions inherited from XDriverManager
XConnection | getConnection ([in]string url) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
XConnection | getConnectionWithInfo ([in]string url, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
void | setLoginTimeout ([in]long seconds)
| sets the maximum time in seconds that a driver will wait while attempting to connect to a database. More...
long | getLoginTimeout ()
| gets the maximum time in seconds that a driver can wait when attempting to login to a database. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDriverAccess
XDriver | getDriverByURL ([in]string url)
| get a driver which accepts a given url. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Detailed Description

Developers Guide
  Database - Connecting Using the DriverManager and a Database URL

The documentation for this service was generated from the following file:

- com/sun/star/sdbc/DriverManager.idl